From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/birdfont/
Date: Fri, 2 Jun 2017 08:43:33 +0000 (UTC) [thread overview]
Message-ID: <1496392380.484f858c34c2f66e61f83a64d34a8120c3fd0bec.pacho@gentoo> (raw)
commit: 484f858c34c2f66e61f83a64d34a8120c3fd0bec
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 2 08:33:00 2017 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Jun 2 08:33:00 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=484f858c
media-gfx/birdfont: Version bump
Package-Manager: Portage-2.3.6, Repoman-2.3.2
media-gfx/birdfont/Manifest | 1 +
media-gfx/birdfont/birdfont-2.18.3.ebuild | 88 +++++++++++++++++++++++++++++++
2 files changed, 89 insertions(+)
diff --git a/media-gfx/birdfont/Manifest b/media-gfx/birdfont/Manifest
index 181eb3f8735..521f3b64b63 100644
--- a/media-gfx/birdfont/Manifest
+++ b/media-gfx/birdfont/Manifest
@@ -1 +1,2 @@
DIST birdfont-2.15.5.tar.xz 2257284 SHA256 5bee9dce0b4e0532665d123fb7acea264768cf213ac088a7eb97ec5bd6a622a6 SHA512 f272917e15a7960ae1a462a85542123cfed501986032ace692e654d4806bed75d36b258d7717761a1a864b00b18d7fb412ac5e83f8ea9805d13893e479f0716e WHIRLPOOL 6d784afd5adcd6582a0574d97ce079b128ed5016879087d089404b167a1c8e2b274588a82491c3b8eb739f74531faaf79f192c53b6022791758c0614ec3906d7
+DIST birdfont-2.18.3.tar.xz 2333612 SHA256 1ef5e4c19f6da423b30a1e33c21b53335c235a6e0a46da86e422f4ebb48bc03d SHA512 c86fff4e40ecfc571e3880cfa99f6adf518daae5476ea1b2a78bab031bc832bc5c8d58ecc928eda4922134fd3ceca312b80cbb8cf2fd35ecb8dc7656addb854e WHIRLPOOL de7d281163f6d668741439f8e452116683ce8a4e928b70a6dcfc9123768d34661c0fddea7ef91fd503ed2ba0be09815a6f666be55def880b068b60336ce5c16e
diff --git a/media-gfx/birdfont/birdfont-2.18.3.ebuild b/media-gfx/birdfont/birdfont-2.18.3.ebuild
new file mode 100644
index 00000000000..2d535e5d265
--- /dev/null
+++ b/media-gfx/birdfont/birdfont-2.18.3.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+PLOCALES="cs de it nl pt_BR sv"
+
+inherit python-any-r1 vala l10n toolchain-funcs multiprocessing
+
+DESCRIPTION="free font editor which lets you create vector graphics and export TTF, EOT and SVG fonts"
+HOMEPAGE="https://birdfont.org/"
+SRC_URI="https://birdfont.org/releases/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk nls"
+
+RDEPEND="
+ dev-db/sqlite:3
+ dev-libs/libgee:0.8=
+ dev-libs/glib:2
+ media-libs/fontconfig
+ media-libs/freetype:2
+ media-libs/libxmlbird
+ x11-libs/gdk-pixbuf:2
+ gtk? (
+ net-libs/libsoup:2.4
+ net-libs/webkit-gtk:4=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/libnotify
+ )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep 'dev-python/doit[${PYTHON_USEDEP}]')
+ $(vala_depend)
+ nls? ( sys-devel/gettext )
+"
+
+src_prepare() {
+ default
+ vala_src_prepare
+ sed -i \
+ -e "s:pkg-config:$(tc-getPKG_CONFIG):" \
+ configure dodo.py || die
+}
+
+v() {
+ echo "$@"
+ "$@" || die
+}
+
+src_configure() {
+ # The build scripts glob all po files to see what's available.
+ # Delete the files for langs we don't want to support.
+ if use nls ; then
+ l10n_find_plocales_changes po "" ".po" || die
+ rm_locale() { rm "po/$1.po" || die ; }
+ l10n_for_each_disabled_locale_do rm_locale
+ else
+ rm po/*.po || die
+ fi
+
+ v ./configure \
+ --prefix "${EPREFIX}/usr" \
+ --gtk $(usex gtk True False) \
+ --gee gee-0.8 \
+ --valac "${VALAC}" \
+ --cc "$(tc-getCC)" \
+ --cflags "${CFLAGS} ${CPPFLAGS}" \
+ --ldflags "${LDFLAGS}"
+}
+
+src_compile() {
+ v doit run -n $(makeopts_jobs)
+}
+
+src_install() {
+ v ./install.py \
+ --dest "${D}" \
+ --nogzip \
+ --libdir "$(get_libdir)" \
+ --manpages-directory "/share/man/man1"
+ einstalldocs
+}
next reply other threads:[~2017-06-02 8:43 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-06-02 8:43 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-06-02 8:43 [gentoo-commits] repo/gentoo:master commit in: media-gfx/birdfont/ Pacho Ramos
2017-06-02 8:43 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1496392380.484f858c34c2f66e61f83a64d34a8120c3fd0bec.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox